jdk7 The method xxx of must override a superclass
jdk7 The method xxx of must override a superclass
newlife111 发表于3年前
jdk7 The method xxx of must override a superclass
  • 发表于 3年前
  • 阅读 5
  • 收藏 0
  • 点赞 0
  • 评论 0

【腾讯云】如何购买服务器最划算?>>>   

今天搞gradle重构系统,莫名其妙就报The method  xxx of must override a superclass method.

情形如下:  Class A imlements interface B

实现类A实现接口的方法在1.6中是没问题的,到了1.7就报这个错。

上网一查,是jdk1.5会报,而1.6不会报的错误。但是我的是1.7呀。

选择Window –> Preferences –> Java –> Compiler ->Compiler compliance level 设置成1.6没用。

Installed JREs 改成1.6也没用,没办法,只能删除这个注解。

共有 人打赏支持
粉丝 6
博文 27
码字总数 15927
×
newlife111
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: